> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Listar domínios

> Lista domínios de clientes visíveis para o principal da API pública.

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.pt-br.json GET /v1/public/accounts/{account_id}/domains
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts/{account_id}/domains:
    get:
      tags:
        - public-accounts
        - public-domains
      summary: Listar domínios
      description: Lista domínios de clientes visíveis para o principal da API pública.
      operationId: list_public_domains_v1_public_accounts__account_id__domains_get
      parameters:
        - in: path
          name: account_id
          required: true
          schema:
            format: uuid
            title: Account Id
            type: string
        - in: query
          name: workspace_id
          required: false
          schema:
            anyOf:
              - format: uuid
                type: string
              - type: 'null'
            title: Workspace Id
        - in: query
          name: page
          required: false
          schema:
            default: 1
            title: Page
            type: integer
        - in: query
          name: page_size
          required: false
          schema:
            default: 25
            title: Page Size
            type: integer
        - in: query
          name: search
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Search
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DomainListResponse'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Erro de validação
      security:
        - PublicBearerAuth: []
components:
  schemas:
    DomainListResponse:
      properties:
        items:
          description: Domínios nesta página
          items:
            $ref: '#/components/schemas/DomainListRowResponse'
          title: Itens
          type: array
        page:
          description: Número de página baseado em um atual
          title: Página
          type: integer
        page_size:
          description: Máximo de itens por página
          title: Tamanho da página
          type: integer
        total:
          description: Total de domínios correspondentes
          title: Total
          type: integer
      required:
        - items
        - page
        - page_size
        - total
      title: DomainListResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detalhe
          type: array
      title: HTTPValidationError
      type: object
    DomainListRowResponse:
      description: Linha da lista de domínios voltada ao cliente.
      properties:
        auto_renew:
          default: false
          description: Se a renovação automática do domínio está habilitada
          title: automático Renew
          type: boolean
        created_at:
          anyOf:
            - type: string
            - type: 'null'
          description: Carimbo de data e hora de criação de domínio
          title: Criado em
        dedicated_ip_id:
          anyOf:
            - format: uuid
              type: string
            - type: 'null'
          description: Atribuído IP UUID dedicado, se houver
          title: Id do IP dedicado
        id:
          description: Domínio UUID
          format: uuid
          title: ID
          type: string
        inbound_tenant_external_id:
          anyOf:
            - type: string
            - type: 'null'
          description: ID externo do provedor para o locatário de entrada
          title: Inbound Tenant External ID
        inbound_tenant_id:
          anyOf:
            - format: uuid
              type: string
            - type: 'null'
          description: Locatário de entrada UUID, se atribuído
          title: Inbound Tenant ID
        inbound_tenant_name:
          anyOf:
            - type: string
            - type: 'null'
          description: Nome de exibição do locatário de entrada, se atribuído
          title: Inbound Tenant nome
        inbound_tenant_type:
          anyOf:
            - type: string
            - type: 'null'
          description: Tipo de locatário de entrada, se atribuído
          title: Inbound Tenant tipo
        name:
          description: Nome de domínio
          title: Nome
          type: string
        outbound_routing_ready:
          description: Se o roteamento de saída está pronto
          title: Roteamento de saída pronto
          type: boolean
        redirect_mode:
          anyOf:
            - enum:
                - '301'
                - '302'
                - iframe
              type: string
            - type: 'null'
          description: Modo de redirecionamento configurado, se houver
          title: Redirect modo
        redirect_url:
          anyOf:
            - type: string
            - type: 'null'
          description: URL de redirecionamento configurado, se houver
          title: Redirect URL
        status:
          description: Status do ciclo de vida do domínio
          title: Status
          type: string
        tags:
          description: Tags anexadas ao domínio
          items:
            $ref: '#/components/schemas/DomainTagResponse'
          title: Etiquetas
          type: array
        updated_at:
          anyOf:
            - type: string
            - type: 'null'
          description: Data e hora da última atualização do domínio
          title: Atualizado em
        workspace_id:
          description: Espaço de trabalho UUID que contém o domínio
          format: uuid
          title: Id do workspace
          type: string
      required:
        - id
        - name
        - status
        - workspace_id
        - outbound_routing_ready
      title: DomainListRowResponse
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Localização
          type: array
        msg:
          title: Mensagem
          type: string
        type:
          title: Tipo de erro
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
    DomainTagResponse:
      description: Tag anexada a um domínio.
      properties:
        id:
          description: Etiqueta UUID
          format: uuid
          title: ID
          type: string
        name:
          description: Nome de exibição da etiqueta
          title: Nome
          type: string
      required:
        - id
        - name
      title: DomainTagResponse
      type: object
  securitySchemes:
    PublicBearerAuth:
      bearerFormat: JWT or Hybridbox Service account token
      description: >-
        Public API bearer credential sent as `Authorization: Bearer <token>`.
        Use either an OAuth access token or a Hybridbox Service account token.
      scheme: bearer
      type: http

````